
QGIS Application - Bug report #2473

identify window stays on top of other application's windows with Qt 4.6 Cocoa

2010-02-25 03:44 PM - William Kyngesburye

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 12533

Description

When I have an identify results window open, then switch to another application, the identify results window stays in front of the other

application.  See attached snapshot as I type this in Safari...

It doesn't happen with Qt 4.6 Carbon, so this may be a Qt bug.

History

#1 - 2010-11-30 04:55 PM - William Kyngesburye

It also affects the GRASS tools window and some other non-modal informational windows.

This is really annoying, I can't switch to another app in the system without hiding Qgis when one of these windows is open.  Anyone have any ideas?

#2 - 2011-03-03 10:16 AM - William Kyngesburye

- Resolution set to invalid

- Status changed from Open to Closed

I thought I saw the same issue with Qt 4.7.0, but it seems to be solved with Qt 4.7.1.

Closing as invalid (Qt bug).  Solution: use Qt 4.7.1+
